Yunohost 4.0 - Mise-à-jour incomplète

My YunoHost server

Hardware: PC x64
YunoHost version: 3.8.5.5
I have access to my server : Through SSH | through the webadmin
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : no

Je viens de procéder à la mise à jour, et j’accède parfaitement à mon serveur. Par contre, que ce soit en SSH ou par la Webadmin, la version de Yunohost reste toujours sur 3.8.5.5.

Voici ce qu’il se produit lorsque je tente une mise-à-jour :

sudo apt-get update && sudo apt-get -y upgrade && sudo apt-get -y dist-upgrade
Hit:1 http://forge.yunohost.org/debian buster InRelease
Hit:2 http://ftp.debian.org/debian buster InRelease
Hit:3 http://security.debian.org/debian-security buster/updates InRelease
Hit:4 http://ftp.debian.org/debian buster-updates InRelease
Hit:5 https://packages.sury.org/php buster InRelease
Reading package lists… Done
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
The following packages have been kept back:
yunohost yunohost-admin
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
The following packages were automatically installed and are no longer required:
apt-transport-https bind9utils cpanminus dns-root-data dnsmasq dnsmasq-base
equivs fail2ban fonts-dejavu-extra fonts-glyphicons-halflings haveged
icu-devtools java-common javascript-common ldap-utils libalgorithm-c3-perl
libatk-wrapper-java libatk-wrapper-java-jni libb-hooks-endofscope-perl
libb-hooks-op-check-perl libbit-vector-perl libcarp-clan-perl
libclass-c3-perl libclass-c3-xs-perl libclass-method-modifiers-perl
libclass-xsaccessor-perl libconfig-general-perl libcpan-changes-perl
libcpan-distnameinfo-perl libcpan-meta-check-perl libdata-optlist-perl
libdata-perl-perl libdata-section-perl libdate-calc-perl
libdate-calc-xs-perl libdbd-ldap-perl libdbi1 libdevel-callchecker-perl
libdevel-caller-perl libdevel-globaldestruction-perl libdevel-lexalias-perl
libdigest-bubblebabble-perl libdynaloader-functions-perl
libemail-date-format-perl libevent-2.1-6 libexporter-tiny-perl libffi-dev
libfile-listing-perl libfile-pushd-perl libfile-slurp-perl libfont-afm-perl
libgail-common libgail18 libgetopt-long-descriptive-perl libgif7
libgl1-mesa-glx libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libhavege1
libhtml-form-perl libhtml-format-perl libhtml-tree-perl libhttp-cookies-perl
libhttp-daemon-perl libhttp-negotiate-perl libhttp-server-simple-perl
libicu-dev libimport-into-perl libjs-bootstrap libjs-d3 libjs-jquery
libjs-requirejs libjs-sphinxdoc libjs-underscore liblist-moreutils-perl
liblocal-lib-perl liblua5.3-0 libluajit-5.1-2 libluajit-5.1-common
libmail-spf-perl libmailtools-perl libmatheval1 libmcrypt4 libmemcached11
libmemcachedutil2 libmime-lite-perl libmime-types-perl libmodule-build-perl
libmodule-cpanfile-perl libmodule-implementation-perl libmodule-runtime-perl
libmodule-signature-perl libmoo-perl libmoox-handlesvia-perl
libmro-compat-perl libnamespace-autoclean-perl libnamespace-clean-perl
libnet-dns-perl libnet-dns-sec-perl libnet-http-perl libnet-ip-perl
libnet-smtp-ssl-perl libnetaddr-ip-perl libnginx-mod-http-auth-pam
libnginx-mod-http-cache-purge libnginx-mod-http-dav-ext
libnginx-mod-http-echo libnginx-mod-http-fancyindex libnginx-mod-http-geoip
libnginx-mod-http-headers-more-filter libnginx-mod-http-image-filter
libnginx-mod-http-lua libnginx-mod-http-ndk libnginx-mod-http-perl
libnginx-mod-http-subs-filter libnginx-mod-http-uploadprogress
libnginx-mod-http-upstream-fair libnginx-mod-http-xslt-filter
libnginx-mod-mail libnginx-mod-nchan libnginx-mod-stream libnss-myhostname
libodbc1 libopendbx1 libopendbx1-sqlite3 libopendkim11 libpackage-stash-perl
libpackage-stash-xs-perl libpadwalker-perl libparams-classify-perl
libparams-util-perl libparams-validate-perl libparse-pmfile-perl
libpath-tiny-perl libpng-dev libpng-tools libpod-markdown-perl
libpod-readme-perl libpq-dev libpython-all-dev libpython-dev libpython2-dev
libpython2.7-dev librbl1 libreadonly-perl libref-util-perl
libref-util-xs-perl librole-tiny-perl librrd8 librrds-perl
libsoftware-license-perl libstemmer0d libstrictures-perl
libstring-shellquote-perl libsub-exporter-perl
libsub-exporter-progressive-perl libsub-identify-perl libsub-install-perl
libsub-name-perl libsub-quote-perl libsys-hostname-long-perl
libtext-template-perl libtie-ixhash-perl libtry-tiny-perl libtype-tiny-perl
libtype-tiny-xs-perl libunbound8 libunicode-utf8-perl libunwind8
libvariable-magic-perl libvbr2 libwww-robotrules-perl libxml-libxml-perl
libxml-simple-perl libxml-xpathengine-perl libxml2-dev libxmlrpc-epi0
libxslt1-dev libyaml-0-2 lua-event lua-expat lua-filesystem lua-json
lua-ldap lua-lpeg lua-rex-pcre lua-sec lua-socket lua-zlib lua5.1
mariadb-server memcached moulinette nginx-common nginx-extras opendkim-tools
opensc opensc-pkcs11 pflogsumm php-fpm php-ldap php-mcrypt php7.0-ldap
php7.0-mcrypt php7.0-mysql php7.3-pgsql php7.3-soap php7.3-xmlrpc
php7.4-ldap postsrsd procmail python-all python-all-dev python-argcomplete
python-asn1crypto python-babel python-babel-localedata
python-backports.functools-lru-cache python-bottle python-bs4 python-cffi
python-cffi-backend python-chardet python-configparser python-cryptography
python-dbus python-dev python-dnspython python-entrypoints python-enum34
python-gevent python-gevent-websocket python-gi python-greenlet
python-html5lib python-idna python-ipaddress python-jinja2 python-keyring
python-keyrings.alt python-ldap python-lxml python-markupsafe
python-miniupnpc python-openssl python-packaging python-pkg-resources
python-ply python-psutil python-publicsuffix python-pyasn1
python-pyasn1-modules python-pycparser python-pyparsing python-secretstorage
python-setuptools python-six python-soupsieve python-toml python-tz
python-urllib3 python-webencodings python-wheel python-xdg python-yaml
python2-dev python2.7-dev python3-asn1crypto python3-cffi-backend
python3-cryptography python3-dbus python3-debian python3-distro-info
python3-idna python3-openssl python3-ply python3-pycurl python3-pyinotify
python3-systemd python3-urllib3 rrdtool slapd ssowat sudo-ldap sysstat
unattended-upgrades unzip uwsgi uwsgi-core uwsgi-plugin-python yarn
Use ‘sudo apt autoremove’ to remove them.
The following packages will be REMOVED:
airsonic-ynh-deps ca-certificates ca-certificates-java dovecot-antispam
dovecot-core dovecot-imapd dovecot-ldap dovecot-lmtpd dovecot-managesieved
dovecot-sieve easy-rsa liblwp-protocol-https-perl libnet-dbus-perl
libnss-ldapd libpam-ldapd libwww-perl libxml-parser-perl
libxml-sax-expat-perl libxml-twig-perl lstu-ynh-deps metronome monitorix
monitorix-ynh-deps moodle-ynh-deps nslcd nslcd-utils openjdk-8-jre
openjdk-8-jre-headless openssl peertube-ynh-deps postfix postfix-ldap
postfix-pcre postfix-policyd-spf-perl postfix-sqlite postgresql
postgresql-11 postgresql-9.6 postgresql-common postgresql-contrib
postgresql-contrib-9.6 python-certifi python-pip python-pip-whl
python-requests python-virtualenv python3-certifi python3-debianbts
python3-httplib2 python3-pysimplesoap python3-reportbug python3-requests
python3-virtualenv reportbug rspamd searx-ynh-deps ssl-cert virtualenv
yunohost yunohost-admin
WARNING: The following essential packages will be removed.
This should NOT be done unless you know exactly what you are doing!
yunohost python-requests (due to yunohost) openssl (due to yunohost)
ca-certificates (due to yunohost) libnss-ldapd (due to yunohost)
libpam-ldapd (due to yunohost) postfix (due to yunohost)
postfix-ldap (due to yunohost) postfix-policyd-spf-perl (due to yunohost)
postfix-pcre (due to yunohost) dovecot-core (due to yunohost)
dovecot-ldap (due to yunohost) dovecot-lmtpd (due to yunohost)
dovecot-managesieved (due to yunohost) dovecot-antispam (due to yunohost)
rspamd (due to yunohost) metronome (due to yunohost)
0 upgraded, 0 newly installed, 60 to remove and 0 not upgraded.
E: Essential packages were removed and -y was used without --allow-remove-essential.

En exécutant la commande suivante : sudo apt upgrade yunohost yunohost-admin

J’obtiens :

Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
> yunohost : Conflicts: openssl (>= 1.1.1g) but 1.1.1g-1+0~20200421.17+debian9~1.gbpf6902f is to be installed
> E: Broken packages

J’ai exécute :

apt install openssl=1.1.1d-0+deb10u3

La migration se lance…

Je relance ensuite la mise-à-jour pour installer Yunohost vers la nouvelle version :

sudo apt-get update && sudo apt-get -y upgrade && sudo apt-get -y dist-upgrade
Hit:1 http://ftp.debian.org/debian buster InRelease
Hit:2 http://forge.yunohost.org/debian buster InRelease
Hit:3 http://security.debian.org/debian-security buster/updates InRelease
Hit:4 http://ftp.debian.org/debian buster-updates InRelease
Hit:5 https://packages.sury.org/php buster InRelease
Reading package lists… Done
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
The following packages have been kept back:
yunohost yunohost-admin
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
The following packages were automatically installed and are no longer required:
libmcrypt4 php-mcrypt php7.0-mcrypt
Use ‘sudo apt autoremove’ to remove them.
The following NEW packages will be installed:
bc
The following packages will be upgraded:
yunohost yunohost-admin
2 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 8800 kB of archives.
After this operation, 1197 kB of additional disk space will be used.
Get:1 http://forge.yunohost.org/debian buster/stable amd64 yunohost all 4.0.3 [825 kB]
Get:2 http://ftp.debian.org/debian buster/main amd64 bc amd64 1.07.1-2+b1 [109 kB]
Get:3 http://forge.yunohost.org/debian buster/stable amd64 yunohost-admin all 4.0.3 [7867 kB]
Fetched 8800 kB in 3s (2984 kB/s)
apt-listchanges: Can’t set locale; make sure $LC_* and $LANG are correct!
apt-listchanges: Reading changelogs…
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LC_TIME = “de_DE.UTF-8”,
LC_MONETARY = “de_DE.UTF-8”,
LC_ADDRESS = “de_DE.UTF-8”,
LC_TELEPHONE = “de_DE.UTF-8”,
LC_NAME = “de_DE.UTF-8”,
LC_MEASUREMENT = “de_DE.UTF-8”,
LC_IDENTIFICATION = “de_DE.UTF-8”,
LC_NUMERIC = “de_DE.UTF-8”,
LC_PAPER = “de_DE.UTF-8”,
LANG = “fr_FR.UTF-8”
are supported and installed on your system.
perl: warning: Falling back to a fallback locale (“fr_FR.UTF-8”).
locale: Ne peut initialiser LC_ALL à la locale par défaut: Aucun fichier ou dossier de ce type
Selecting previously unselected package bc.
(Reading database … 142298 files and directories currently installed.)
Preparing to unpack …/bc_1.07.1-2+b1_amd64.deb …
Unpacking bc (1.07.1-2+b1) …
Setting up bc (1.07.1-2+b1) …
(Reading database … 142317 files and directories currently installed.)
Preparing to unpack …/yunohost_4.0.3_all.deb …
Unpacking yunohost (4.0.3) over (3.8.5.5) …
Setting up yunohost (4.0.3) …
Regenerating configuration, this might take a while…
Attention : Le fichier de configuration ‘/etc/nslcd.conf’ a été modifié manuellement et ne sera pas mis à jour
Succès ! La configuration a été mise à jour pour ‘yunohost’
Attention : Le fichier de configuration ‘/etc/nginx/conf.d/blog.mazzonetto.eu.conf’ a été modifié manuellement et ne sera pas mis à jour
Attention : Le fichier de configuration ‘/etc/nginx/conf.d/jeremy.mazzonetto.eu.conf’ a été modifié manuellement et ne sera pas mis à jour
Attention : Le fichier de configuration ‘/etc/resolv.dnsmasq.conf’ a été modifié manuellement et ne sera pas mis à jour
Succès ! La configuration a été mise à jour pour ‘dovecot’
Attention : Le fichier de configuration ‘/etc/nsswitch.conf’ a été modifié manuellement et ne sera pas mis à jour
Attention : Le fichier de configuration ‘/etc/ldap/schema/mailserver.schema’ a été modifié manuellement et ne sera pas mis à jour
Attention : Le fichier de configuration ‘/etc/ldap/schema/sudo.schema’ a été modifié manuellement et ne sera pas mis à jour
Attention : Le fichier de configuration ‘/etc/ssh/sshd_config’ a été modifié manuellement et ne sera pas mis à jour
Erreur : Échec de l’exécution du script : /usr/share/yunohost/hooks/conf_regen/43-dnsmasq
Launching migrations…
Info : Exécution de la migration 0016_php70_to_php73_pools…
Synchronizing state of php7.0-fpm.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install disable php7.0-fpm
Removed /etc/systemd/system/multi-user.target.wants/php7.0-fpm.service.
Succès ! Migration 0016_php70_to_php73_pools terminée
Info : Exécution de la migration 0017_postgresql_9p6_to_11…
grep: write error: Broken pipe
grep: write error: Broken pipe
Cluster is not running.
Error: could not stop server, aborting
Erreur : La migration 0017_postgresql_9p6_to_11 a échoué avec l’exception Command ‘pg_dropcluster --stop 11 main’ returned non-zero exit status 1 : annulation
Info : L’opération ‘Exécuter les migrations’ a échoué ! Pour obtenir de l’aide, merci de partager le journal de l’opération en utilisant la commande ‘yunohost log display 20200730-221916-tools_migrations_migrate_forward --share’
Info : Exécution de la migration 0018_xtable_to_nftable…

Warning: iptables-legacy tables present, use iptables-legacy to see them

Warning: ip6tables-legacy tables present, use ip6tables-legacy to see them

Attention : ip6tables v1.8.2 (nf_tables): RULE_INSERT failed (Invalid argument): rule in chain INPUT
Attention : ip6tables v1.8.2 (nf_tables): RULE_INSERT failed (Invalid argument): rule in chain OUTPUT
Attention : iptables v1.8.2 (nf_tables): RULE_INSERT failed (Invalid argument): rule in chain INPUT
Attention : iptables v1.8.2 (nf_tables): RULE_INSERT failed (Invalid argument): rule in chain OUTPUT
Succès ! Pare-feu rechargé
Succès ! Le service « fail2ban » a été redémarré
Succès ! Migration 0018_xtable_to_nftable terminée
Re-diagnosing server health…
Erreur : Trouvé 1 problème(s) significatif(s) lié(s) à Système de base !
Succès ! Tout semble bien pour Connectivité Internet !
Succès ! Tout semble bien pour Enregistrements DNS ! (+ 5 problèmes ignorée(s))
Succès ! Tout semble bien pour Exposition des ports !
Succès ! Tout semble bien pour Web ! (+ 2 problèmes ignorée(s))
Succès ! Tout semble bien pour E-mail !
Erreur : Trouvé 1 problème(s) significatif(s) lié(s) à État des services ! (+ 1 problèmes ignorée(s))
Succès ! Tout semble bien pour Ressources système !
Attention : Trouvé 6 objet(s) pouvant être amélioré(s) pour Configurations système.
Attention : Pour voir les problèmes détectés, vous pouvez accéder à la section Diagnostic du webadmin ou exécuter « yunohost diagnosis show --issues » à partir de la ligne de commande.
(Reading database … 142303 files and directories currently installed.)
Preparing to unpack …/yunohost-admin_4.0.3_all.deb …
Unpacking yunohost-admin (4.0.3) over (3.8.3.5) …
Setting up yunohost-admin (4.0.3) …
Processing triggers for systemd (241-7~deb10u4) …
Processing triggers for man-db (2.8.5-2) …

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.